using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum HoppingSceneType
{
    Swamp,
    Sand,
    Water,
}

public class HoppingBattle3DScene : Battle3DScene
{
    public Transform winPos;

    public Transform leftDown;
    public Transform rightTop;

    public float minX => leftDown.position.x;
    public float minZ => leftDown.position.z;
    public float maxX => rightTop.position.x;
    public float maxZ => rightTop.position.z;

    protected override void Awake()
    {
        base.Awake();
        
    }

    protected override void Start()
    {
        base.Start();

    }
#if UNITY_EDITOR
    protected override void OnPostProcessGenPrefab(Battle3DScene prefToSave)
    {
        base.OnPostProcessGenPrefab(prefToSave);

    }
    #endif
}